/*
	Password Prompter - PC Magazine password utility

	Copyright (c) 1999 Ziff-Davis Publishing Company.  All rights reserved.
	First published in PC Magazine, US Edition  June 8, 1999.

	Written by Steven E. Sipe


	This file defines the Login dialog class.
*/

#if !defined(AFX_LOGIN_H__9DC2CFC0_0247_11D3_861D_00E02918D61A__INCLUDED_)
#define AFX_LOGIN_H__9DC2CFC0_0247_11D3_861D_00E02918D61A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Login.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPPLogin dialog

class CPPDBHeader;

class CPPLogin : public CDialog
{
protected:
	CPPDBHeader *m_pDatabase;

// Construction
public:
	CPPLogin(CWnd* pParent = NULL);   // standard constructor

// Attributes
public:
	void SetDatabase(CPPDBHeader *pDatabase) { m_pDatabase = pDatabase; }
	BOOL PasswordOK();

// Dialog Data
	//{{AFX_DATA(CPPLogin)
	enum { IDD = IDD_SECURITY };
	CString	m_Password;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPPLogin)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPPLogin)
	virtual void OnOK();
	afx_msg void OnChange();
	afx_msg void OnHelpBtn();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LOGIN_H__9DC2CFC0_0247_11D3_861D_00E02918D61A__INCLUDED_)
