/*
	Password Prompter - PC Magazine password utility

	Copyright (c) 1999 Ziff-Davis Publishing Company.  All rights reserved.
	First published in PC Magazine, US Edition  June 8, 1999.

	Written by Steven E. Sipe


	This file defines the random password generation dialog class.
*/

#if !defined(AFX_PASSDLG_H__789FBCE0_E612_11D2_861D_00E02918D61A__INCLUDED_)
#define AFX_PASSDLG_H__789FBCE0_E612_11D2_861D_00E02918D61A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PassDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPPGenPassDlg dialog

class CPPGenPassDlg : public CDialog
{
// Construction
public:
	CPPGenPassDlg(CWnd* pParent = NULL);   // standard constructor

// Attributes
public:
	CString& GetPassword() { return m_NewPassword; }

// Dialog Data
	//{{AFX_DATA(CPPGenPassDlg)
	enum { IDD = IDD_PASSGEN };
	CButton	m_OK;
	CSpinButtonCtrl	m_LengthSpin;
	BOOL	m_Letters;
	BOOL	m_Lower;
	CString	m_NewPassword;
	BOOL	m_Numbers;
	BOOL	m_Symbols;
	BOOL	m_Upper;
	int		m_Length;
	int		m_StartsWith;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPPGenPassDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPPGenPassDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnGenerate();
	afx_msg void OnHelpBtn();
	virtual void OnOK();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PASSDLG_H__789FBCE0_E612_11D2_861D_00E02918D61A__INCLUDED_)
