/*
	Password Prompter - PC Magazine password utility

	Copyright (c) 1999 Ziff-Davis Publishing Company.  All rights reserved.
	First published in PC Magazine, US Edition  June 8, 1999.

	Written by Steven E. Sipe


	This file defines the password edit control class.
*/

#if !defined(AFX_STAREDIT_H__255E8C0E_E167_11D2_861D_00E02918D61A__INCLUDED_)
#define AFX_STAREDIT_H__255E8C0E_E167_11D2_861D_00E02918D61A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// StarEdit.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CStarEdit window

class CStarEdit : public CEdit
{
protected:
	CString m_strText;

protected:
	void DoCopy();

// Construction
public:
	CStarEdit();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStarEdit)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CStarEdit();

	// Generated message map functions
protected:
	//{{AFX_MSG(CStarEdit)
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnCut();
	afx_msg void OnDelete();
	afx_msg void OnPaste();
	afx_msg void OnSelectAll();
	afx_msg void OnUndo();
	afx_msg void OnInitMenuPopup(CMenu* pPopupMenu, UINT nIndex, BOOL bSysMenu);
	afx_msg void OnCopy();
	//}}AFX_MSG
	afx_msg LRESULT OnCopyKbd(WPARAM wParam, LPARAM lParam);

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STAREDIT_H__255E8C0E_E167_11D2_861D_00E02918D61A__INCLUDED_)
